/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.asm;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.StringWriter;
import net.ranides.assira.collection.ArrayUtils;
import net.ranides.assira.trace.LoggerUtils;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author ranides
 */
public class AsmifierTest {

    public AsmifierTest() {
    }

    @Test
    public void testTreeMap() throws IOException {
        StringWriter writer = new StringWriter();
        Asmifier.fromClass(String.class, new PrintWriter(writer) );

        LoggerUtils.dump("\n\n\n\n\n\n\n\n%s\n\n\n\n\n\n\n\n", writer.toString());
        assertTrue(true);
    }
}
